package com.quantumblade.sampletax;

import net.minecraft.server.MinecraftServer;
import cpw.mods.fml.common.Loader;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.Init;
import cpw.mods.fml.common.Mod.Instance;
import cpw.mods.fml.common.Mod.PostInit;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.network.NetworkMod;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

import com.quantumblade.cashcreeper.*;

/**
 * 
 * @author Quantum Blade
 * http://creativecommons.org/licenses/by/4.0/
 * Cash Creeper Sample Tax by Quantum Blade is licensed under a Creative Commons Attribution 4.0 International License
 * http://www.quantumblade.com/minecraft/mods/CashCreeper/
 * http://www.minecraftforge.net/forum/index.php/topic,12378.0.html
 * http://www.minecraftforum.net/topic/1977870-152forgeeconomywip-cashcreeper-mod/
 *
 */


@Mod(modid = SampleTax.modid, name = "Sample Tax", version = "0.01", dependencies = "required-after:quantumblade_cashcreeper")
@NetworkMod(clientSideRequired = false, serverSideRequired = false)
public class SampleTax {

	@SidedProxy (clientSide = "com.quantumblade.sampletax.SampleTaxClientProxy", serverSide = "com.quantumblade.sampletax.SampleTaxCommonProxy")
	public static SampleTaxCommonProxy proxy;
	
	public static final String modid = "quantumblade_sampletax";
	
	@Instance(modid)
	public static SampleTax instance;
	
	@Init
	public void init(FMLInitializationEvent event) {
		proxy.init(event);
	}
	
}
